Menu

## SceneConnectionGroup
in package
implements SceneConnectable

SceneConnectionGroup.php : 19

##### Tags

Entity
Table

  (name="scene_connection_groups")

### Interfaces, Classes and Traits

SceneConnectable

### Table of Contents

$name : string
$scene : Scene|null
$title : string
__construct() : mixed
  SceneConnectionGroup constructor.
__toString() : string
connect() : SceneConnection
  Creates an outgoing connection for this scene to the given connectable.
getName() : string
  Returns the name-identifier of this connection group.
getScene() : Scene
  Returns the scene associated with this connection group.
getTitle() : string
  Returns the title of this connection group.
setName() : mixed
  Sets the name-identifier of this connection group.
setScene() : void
  Sets the scene associated with this connection group.
setTitle() : mixed
  Sets the title of this connection group.

### Properties

#### $name

SceneConnectionGroup.php : 32
`private string $name`

##### Tags

Id
Column

  (type="string")

#### $scene

SceneConnectionGroup.php : 26
`private Scene|null $scene = null`

##### Tags

Id
ManyToOne

  (targetEntity="Scene", inversedBy="outgoingConnections", cascade={"persist"})

JoinColumn

  (name="scene", referencedColumnName="id")

#### $title

SceneConnectionGroup.php : 37
`private string $title`

##### Tags

Column

  (type="string", length=255)

### Methods

#### __construct()

SceneConnectionGroup.php : 44

SceneConnectionGroup constructor.

`public __construct(string $name, string $title) : mixed`

##### Parameters

$name : string

  Soft-identifier of the connection group, e.g. lotgd/core

$title : string

##### Return values

mixed —

#### __toString()

SceneConnectionGroup.php : 50
`public __toString() : string`

##### Return values

string —

#### connect()

SceneConnectionGroup.php : 115

Creates an outgoing connection for this scene to the given connectable.

`public connect(SceneConnectable $connectable[, int|null $directionality = null ]) : SceneConnection`

##### Parameters

$connectable : SceneConnectable
$directionality : int|null = null

##### Tags

throws
  ArgumentException

##### Return values

SceneConnection —

#### getName()

SceneConnectionGroup.php : 77

Returns the name-identifier of this connection group.

`public getName() : string`

##### Return values

string —

#### getScene()

SceneConnectionGroup.php : 59

Returns the scene associated with this connection group.

`public getScene() : Scene`

##### Return values

Scene —

#### getTitle()

SceneConnectionGroup.php : 95

Returns the title of this connection group.

`public getTitle() : string`

##### Return values

string —

#### setName()

SceneConnectionGroup.php : 86

Sets the name-identifier of this connection group.

`public setName(string $name) : mixed`

##### Parameters

$name : string

##### Return values

mixed —

#### setScene()

SceneConnectionGroup.php : 68

Sets the scene associated with this connection group.

`public setScene(Scene $scene) : void`

##### Parameters

$scene : Scene

##### Return values

void —

#### setTitle()

SceneConnectionGroup.php : 104

Sets the title of this connection group.

`public setTitle(string $title) : mixed`

##### Parameters

$title : string

##### Return values

mixed —

## Search results